Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JMSRuntimeMBean

public interface JMSRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

This class is used for monitoring a WebLogic JMS service.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`JMSConnectionRuntimeMBean[]` | `getConnections()` Returns the connections to this WebLogic server.
`long` | `getConnectionsCurrentCount()` Returns the current number of connections to this WebLogic Server.
`long` | `getConnectionsHighCount()` Returns the peak number of connections to this WebLogic Server since the last reset.
`long` | `getConnectionsTotalCount()` Returns the total number of connections made to this WebLogic Server since the last reset.
`weblogic.health.HealthState` | `getHealthState()` Returns the health state of JMS service.
`JMSServerRuntimeMBean[]` | `getJMSServers()` Returns the JMS servers that are currently deployed on this WebLogic Server instance.
`long` | `getJMSServersCurrentCount()` Returns the current number of JMS servers that are deployed on this WebLogic Server instance.
`long` | `getJMSServersHighCount()` Returns the peak number of JMS servers that were deployed on this WebLogic Server instance since the server was started.
`long` | `getJMSServersTotalCount()` Returns the number of JMS servers that were deployed on this WebLogic Server instance since the server was started.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getHealthState

    public weblogic.health.HealthState getHealthState()

  Returns the health state of JMS service.
  Specified by:
    getHealthState in interface weblogic.health.HealthFeedback

  Returns:
    The healthState value

### getConnections

    public JMSConnectionRuntimeMBean[] getConnections()

  Returns the connections to this WebLogic server.

  Returns:
    The connections value

### getConnectionsCurrentCount

    public long getConnectionsCurrentCount()

  Returns the current number of connections to this WebLogic Server.

  Returns:
    The connectionsCurrentCount value

### getConnectionsHighCount

    public long getConnectionsHighCount()

  Returns the peak number of connections to this WebLogic Server since the last reset.

  Returns:
    The connectionsHighCount value

### getConnectionsTotalCount

    public long getConnectionsTotalCount()

  Returns the total number of connections made to this WebLogic Server since the last reset.

  Returns:
    The connectionsTotalCount value

### getJMSServers

    public JMSServerRuntimeMBean[] getJMSServers()

  Returns the JMS servers that are currently deployed on this WebLogic Server instance.

  Returns:
    The jMSServers value

### getJMSServersCurrentCount

    public long getJMSServersCurrentCount()

  Returns the current number of JMS servers that are deployed on this WebLogic Server instance.

  Returns:
    The jMSServersCurrentCount value

### getJMSServersHighCount

    public long getJMSServersHighCount()

  Returns the peak number of JMS servers that were deployed on this WebLogic Server instance since the server was started.

  Returns:
    The jMSServersHighCount value

### getJMSServersTotalCount

    public long getJMSServersTotalCount()

  Returns the number of JMS servers that were deployed on this WebLogic Server instance since the server was started.

  Returns:
    The jMSServersTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD